server:
  port: 8070
  servlet:
    context-path: /seer/mp

spring:
  application:
    name: seer-mp  # 服务名称
  main:
    allow-bean-definition-overriding: true
  profiles:
    active: dev
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  flyway:
    enabled: false
    locations: classpath:db/mysql
    baseline-on-migrate: true
    clean-disable: true
    table: flyway_schema_history_mp
  config:
    import:
      - optional:nacos:${spring.application.name}-${spring.profiles.active}.yaml
      - optional:nacos:shared-database.yaml
      - optional:nacos:shared-redis.yaml
      - optional:nacos:shared-sa-token.yaml
      - optional:nacos:shared-minio.yaml
  cloud:
    nacos:
      discovery:
        server-addr: 192.168.0.39:8848  # 配置中心地址
        group: DEFAULT_GROUP         # 分组（默认DEFAULT_GROUP）
        namespace: ${spring.profiles.active}
      config:
        server-addr: 192.168.0.39:8848  # 配置中心地址
        file-extension: yaml         # 配置文件后缀（yaml/properties）
        namespace: ${spring.profiles.active}
#日志
logging:
  config: classpath:logback-${spring.profiles.active}.xml

# 公众号配置（必填），参见 https://github.com/Wechat-Group/WxJava/blob/develop/spring-boot-starters/wx-java-mp-spring-boot-starter/README.md 文档
wx:
  mp:
    config-storage:
      type: RedisTemplate
      key-prefix: wx
      http-client-type: HttpClient
    app-id: null
  miniapp:
    appid: wx04019010242d540e
    secret: d9280058237ee5e3dd81bafd72e5cf3b
    msgDataFormat: XML
    config-storage:
      type: RedisTemplate
      key-prefix: wx